Tirex::Source::Command(3pm)

NAME
Tirex::Source -- A source of a job request

SYNOPSIS
 my $source = Tirex::Source::Command->new();
 $source->notify();

DESCRIPTION
Source using Tirex messages sent through UDP.

METHODS

  Tirex::Source::Command->new( socket => $socket )
Create source object for UDP connection.

  $source->notify($job)
Send notify that a tile was rendered back to source.

  $source->reply($msg)
Send a reply message to this source. The id is automatically filled in. The parameter is a hash with the message.

Returns the result of the sockets send method.